const getters = {
  getBluetoothLinkStatus() {
    return wx.getStorageSync("ble_link_status")
  },
  getDeviceSn() {
    return wx.getStorageSync('deviceSn')
  },
  getDeviceId() {
    return wx.getStorageSync('deviceId')
  },
  getServiceId() {
    return wx.getStorageSync('serviceId')
  },
  getCharacteristicId(){
    return wx.getStorageSync('characteristicId')
  }
}

const setters = {
  clearDeviceToy() {
    wx.removeStorageSync('deviceId')
    wx.removeStorageSync('deviceSn')
    wx.removeStorageSync('serviceId')
    wx.removeStorageSync('is_new')
    wx.removeStorageSync('characteristicId')
  },
  setBluetoothLinkStatus($bool) {
    wx.setStorageSync("ble_link_status", $bool)
  },
  setDeviceSn(deviceSn) {
    wx.setStorageSync('deviceSn', deviceSn)
  },
  setDeviceId(deviceId) {
    wx.setStorageSync('deviceId', deviceId)
  },
  setServiceId(serviceId) {
    wx.setStorageSync('serviceId', serviceId)
  },
  setCharacteristicId(characteristicId){
    wx.setStorageSync('characteristicId', characteristicId)
  }
}

export default {
  getters, setters
}
